### Reduce

Category

Import and Export

Function

Computes a reduced-resolution version (or group of versions) of a field.

Syntax

    reduced = Reduce(input, factor);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`input` | field | none | field to be reduced
`factor` | scalar list or vector list | 2 | reduction factor(s)

Outputs

Name | Type | Description
--- | --- | ---
`reduced` | field or group | set of reduced-resolution data

Functional Details

Reduces the resolution of regularly connected grids. Box filtering is applied to minimize aliasing effects in the components that are associated with the grid. It filters and reduces the number of items in the "data" component of the input field and also in any components that are position or connection dependent.

`input` | is the field to be reduced. It must have regular connections.
`factor` | specifies the reduction factor(s) to be used in reducing the resolution of the field.

If this parameter specifies:

- a single scalar value: the output is reduced by that factor in all dimensions.
- a vector: each vector element is applied to the corresponding dimension.
- a list of scalars or vectors: the output is a group of fields, each with the corresponding factor applied.

Components

All components in the input are propagated to the output. Components dependent on "positions" or "connections" are filtered.

Example Visual Programs

    GeneralImport2.net

    ManipulateGroups.net

    VolumeRendering.net
    SIMPLE/Reduce.net

See Also

Refine, Select, Display

[ OpenDX Home at IBM | OpenDX.org ]